#ifndef __ITEM_H__
#define __ITEM_H__

/**
 * List item class.
 */
class Item
{
  public:
    /**
     * Create new item.
     * @param value Item value.
     */
    Item (int value)
      : m_value (value)
    {
    }

  public:
    /**
     * Access the value of the item.
     * @return Item value.
     */
    inline int value (void) const { return m_value; }

  private:
    /// item value
    int m_value;
};

#endif
